<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cyhal_8h" kind="file" language="C++">
    <compoundname>cyhal.h</compoundname>
    <includes local="yes" refid="cyhal__general__types_8h">cyhal_general_types.h</includes>
    <includes local="yes" refid="cyhal__hw__types_8h">cyhal_hw_types.h</includes>
    <includes local="yes" refid="cyhal__drivers_8h">cyhal_drivers.h</includes>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="2"><highlight class="comment">*<sp />File<sp />Name:<sp />cyhal.h</highlight></codeline>
<codeline lineno="3"><highlight class="comment">*</highlight></codeline>
<codeline lineno="4"><highlight class="comment">*<sp />Description:</highlight></codeline>
<codeline lineno="5"><highlight class="comment">*<sp />Top-level<sp />HAL<sp />header<sp />file<sp />that<sp />can<sp />be<sp />referenced<sp />to<sp />pull<sp />in<sp />all<sp />relevant</highlight></codeline>
<codeline lineno="6"><highlight class="comment">*<sp />drivers<sp />for<sp />the<sp />current<sp />device<sp />architecture.<sp />Not<sp />all<sp />of<sp />these<sp />may<sp />be</highlight></codeline>
<codeline lineno="7"><highlight class="comment">*<sp />supported<sp />in<sp />the<sp />current<sp />target<sp />device.<sp />The<sp />implementation<sp />must<sp />provide<sp />a</highlight></codeline>
<codeline lineno="8"><highlight class="comment">*<sp />cyhal_hw_types.h<sp />and<sp />a<sp />cyhal_drivers.h<sp />file<sp />in<sp />the<sp />include<sp />path<sp />for<sp />this</highlight></codeline>
<codeline lineno="9"><highlight class="comment">*<sp />to<sp />depend<sp />on.</highlight></codeline>
<codeline lineno="10"><highlight class="comment">*<sp />The<sp />cyhal_hw_types.h<sp />file<sp />must<sp />provide<sp />the<sp />following:</highlight></codeline>
<codeline lineno="11"><highlight class="comment">*<sp /><sp /><sp />1)<sp />definitions<sp />for<sp />each<sp />of<sp />the<sp />resource<sp />types<sp />consumed<sp />by<sp />the<sp />HAL<sp />driver</highlight></codeline>
<codeline lineno="12"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp />functions.</highlight></codeline>
<codeline lineno="13"><highlight class="comment">*<sp /><sp /><sp />2)<sp />A<sp />CYHAL_ISR_PRIORITY_DEFAULT<sp />define<sp />for<sp />the<sp />default<sp />interrupt<sp />priority</highlight></codeline>
<codeline lineno="14"><highlight class="comment">*<sp /><sp /><sp />3)<sp />A<sp />CYHAL_MAIN_FLASH_BASE<sp />define<sp />for<sp />the<sp />base<sp />address<sp />of<sp />flash<sp />memory</highlight></codeline>
<codeline lineno="15"><highlight class="comment">*<sp /><sp /><sp />4)<sp />OPTIONAL:<sp />Implementation<sp />specific<sp />header<sp />files<sp />can<sp />be<sp />used<sp />by<sp />creating</highlight></codeline>
<codeline lineno="16"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp />a<sp />#define<sp />in<sp />cyhal_hw_types.h<sp />with<sp />a<sp />name<sp />of<sp />CYHAL_&lt;DRIVER&gt;_IMPL_HEADER</highlight></codeline>
<codeline lineno="17"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp />and<sp />the<sp />value<sp />being<sp />the<sp />name<sp />of<sp />the<sp />header<sp />file.<sp /><sp />eg:</highlight></codeline>
<codeline lineno="18"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp />#define<sp />CYHAL_GPIO_IMPL_HEADER<sp />"cyhal_gpio_impl.h"</highlight></codeline>
<codeline lineno="19"><highlight class="comment">*<sp />The<sp />cyhal_drivers.h<sp />file<sp />must<sp />simply<sp />be<sp />a<sp />list<sp />of<sp />include<sp />directives<sp />to<sp />pull</highlight></codeline>
<codeline lineno="20"><highlight class="comment">*<sp />in<sp />the<sp />relevant<sp />driver<sp />header<sp />files.</highlight></codeline>
<codeline lineno="21"><highlight class="comment">*</highlight></codeline>
<codeline lineno="22"><highlight class="comment">********************************************************************************</highlight></codeline>
<codeline lineno="23"><highlight class="comment">*<sp />\copyright</highlight></codeline>
<codeline lineno="24"><highlight class="comment">*<sp />Copyright<sp />2018-2020<sp />Cypress<sp />Semiconductor<sp />Corporation</highlight></codeline>
<codeline lineno="25"><highlight class="comment">*<sp />SPDX-License-Identifier:<sp />Apache-2.0</highlight></codeline>
<codeline lineno="26"><highlight class="comment">*</highlight></codeline>
<codeline lineno="27"><highlight class="comment">*<sp />Licensed<sp />under<sp />the<sp />Apache<sp />License,<sp />Version<sp />2.0<sp />(the<sp />"License");</highlight></codeline>
<codeline lineno="28"><highlight class="comment">*<sp />you<sp />may<sp />not<sp />use<sp />this<sp />file<sp />except<sp />in<sp />compliance<sp />with<sp />the<sp />License.</highlight></codeline>
<codeline lineno="29"><highlight class="comment">*<sp />You<sp />may<sp />obtain<sp />a<sp />copy<sp />of<sp />the<sp />License<sp />at</highlight></codeline>
<codeline lineno="30"><highlight class="comment">*</highlight></codeline>
<codeline lineno="31"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp />http://www.apache.org/licenses/LICENSE-2.0</highlight></codeline>
<codeline lineno="32"><highlight class="comment">*</highlight></codeline>
<codeline lineno="33"><highlight class="comment">*<sp />Unless<sp />required<sp />by<sp />applicable<sp />law<sp />or<sp />agreed<sp />to<sp />in<sp />writing,<sp />software</highlight></codeline>
<codeline lineno="34"><highlight class="comment">*<sp />distributed<sp />under<sp />the<sp />License<sp />is<sp />distributed<sp />on<sp />an<sp />"AS<sp />IS"<sp />BASIS,</highlight></codeline>
<codeline lineno="35"><highlight class="comment">*<sp />WITHOUT<sp />WARRANTIES<sp />OR<sp />CONDITIONS<sp />OF<sp />ANY<sp />KIND,<sp />either<sp />express<sp />or<sp />implied.</highlight></codeline>
<codeline lineno="36"><highlight class="comment">*<sp />See<sp />the<sp />License<sp />for<sp />the<sp />specific<sp />language<sp />governing<sp />permissions<sp />and</highlight></codeline>
<codeline lineno="37"><highlight class="comment">*<sp />limitations<sp />under<sp />the<sp />License.</highlight></codeline>
<codeline lineno="38"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="39"><highlight class="normal" /></codeline>
<codeline lineno="61"><highlight class="preprocessor">#pragma<sp />once</highlight><highlight class="normal" /></codeline>
<codeline lineno="62"><highlight class="normal" /></codeline>
<codeline lineno="63"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_general_types.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="64"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_hw_types.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="65"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_drivers.h"</highlight><highlight class="normal" /></codeline>
    </programlisting>
    <location file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal.h" />
  </compounddef>
</doxygen>